Description

An extension of #417

Subtasks:

Task # 1297: Add API specifically for looking up wikipedia articles for works Rejected

Task # 1298: Add ability to lookup wiki articles from the list page Closed

History

#1 - 04/05/2016 02:27 AM - Luke Murphey

- Subject changed from Enhanced Wikipedia information to Improved Wikipedia information

Considering:

Add the ability to declare a Wikipedia topic for a work and/or author

Lookup on the work list (works, authors and editors)

#2 - 04/07/2016 05:58 PM - Luke Murphey

Thinking the re-direct table might be the best approach. It would be a simple table full of terms and would have an article associated with the term. A

type or context field might make sense to include too.

#3 - 04/08/2016 04:31 PM - Luke Murphey

Re-direct table:

Does not require adding several columns

Can automatically re-direct lots of potential requests (not just ones for works)

New column:

More obvious design

#4 - 04/20/2016 06:32 PM - Luke Murphey

- File work_overview_with_cover.png added

- File work_overview_with_cover.pxm added

Might want to include the book cover image:
#5 - 04/23/2016 11:52 PM - Luke Murphey

CREATE TABLE "reader_wikiarticle" ("id" integer NOT NULL PRIMARY KEY AUTOINCREMENT, "search" varchar(200) NOT 

NULL UNIQUE, "article" varchar(200) NOT NULL)

#6 - 04/24/2016 02:59 AM - Luke Murphey

- File reader_wikiarticle.csv added

#7 - 05/04/2016 06:11 AM - Luke Murphey

- Status changed from New to Closed
